name: Workflow A

on:
  #push:
  #  branches:
  #    - main

jobs:
  job_a:
    runs-on: ubuntu-latest
    steps:
      - name: Step 1 in Workflow A
        run: echo "Running Workflow A"
        
      - name: Create completion marker for Workflow A
        run: echo "done" > marker_a
      - name: Commit marker
        run: |
          git config user.name "Gitea CI"
          git config user.email "ci@example.com"
          git add marker_a
          git commit -m "Add completion marker for A"
          git push
